%% Integration of Wilson model with multistep ODE solver
  clear; clf; global I_ext;

%% Integration:
 %1: Equilibration: no external input;
  y0=zeros(4,1); y0(4)=-1; I_ext=0; t=(0:100)';
  y=lsode('wilson_odeOctave',y0,t);
 
 %2: Integration with external input;
  y0=y(size(t,1),:); I_ext=1; t=(0:200)';
  y=lsode('wilson_odeOctave',y0,t);

%% Ploting Results
  plot(t,100*y(:,4)); xlabel('Time'); ylabel('Membrane potential');
